path: /build/build/geoclue-app-misc-2.0-2.4.13.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="introspection modemmanager zeroconf" emerge app-misc/geoclue:2.0 -pv -t && \
    USE="introspection modemmanager zeroconf" emerge -j ${JOBS} --nodeps app-misc/geoclue:2.0
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/geoclue && luet-portage --dir /pkgdir/geoclue
    app-misc/geoclue:2.0 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:cbc71700195064f4bfdc335f7bc34fdf9452a109ca76b60720567de9cfa76446
  package:
    name: geoclue
    version: 2.4.13
    category: app-misc-2.0
    use_flags:
    - introspection
    - modemmanager
    - zeroconf
    requires:
    - name: qtdeclarative
      version: '>=0'
      category: dev-qt-5
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A geoinformation D-Bus service
    uri:
    - https://freedesktop.org/wiki/Software/GeoClue
    license: LGPL-2
    buildtimestamp: 2023-08-27 08:12:36.447051118 +0000 UTC m=+1992.102114508
    labels:
      DEPEND: '>=dev-libs/glib-2.62.2:2 >=dev-libs/json-glib-0.14 >=net-libs/libsoup-2.42:2.4
        sys-apps/dbus introspection? ( >=dev-libs/gobject-introspection-1.62.0:= )
        modemmanager? ( >=net-misc/modemmanager-1 ) zeroconf? ( >=net-dns/avahi-0.6.10[dbus]
        ) !<sci-geosciences/geocode-glib-3.10.0 dev-util/gdbus-codegen >=dev-util/gtk-doc-am-1
        >=dev-util/intltool-0.40 >=x11-libs/libnotify-0.7 sys-devel/gettext virtual/pkgconfig
        >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16
        >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4
        app-arch/xz-utils dev-util/desktop-file-utils x11-misc/shared-mime-info virtual/pkgconfig
        sys-apps/shadow'
      IUSE: +introspection +modemmanager zeroconf
      RDEPEND: '>=dev-libs/glib-2.62.2:2 >=dev-libs/json-glib-0.14 >=net-libs/libsoup-2.42:2.4
        sys-apps/dbus introspection? ( >=dev-libs/gobject-introspection-1.62.0:= )
        modemmanager? ( >=net-misc/modemmanager-1 ) zeroconf? ( >=net-dns/avahi-0.6.10[dbus]
        ) !<sci-geosciences/geocode-glib-3.10.0'
      emerge.packages: app-misc/geoclue:2.0
      kit: gnome-kit
      original.package.name: app-misc/geoclue
      original.package.slot: "2.0"
      original.package.version: 2.4.13
    treedir: /build/packages
  package_dir: /pkgdir/geoclue
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: d61f6d02e84579e0071917f5ae37555d4a74ac7bd2f0df94588f5538612af29e
compressiontype: zstd
files:
- etc/dbus-1/system.d/org.freedesktop.GeoClue2.Agent.conf
- etc/dbus-1/system.d/org.freedesktop.GeoClue2.conf
- etc/geoclue/geoclue.conf
- etc/xdg/autostart/geoclue-demo-agent.desktop
- lib/systemd/system/geoclue.service
- usr/include/libgeoclue-2.0/gclue-client.h
- usr/include/libgeoclue-2.0/gclue-enum-types.h
- usr/include/libgeoclue-2.0/gclue-enums.h
- usr/include/libgeoclue-2.0/gclue-helpers.h
- usr/include/libgeoclue-2.0/gclue-location.h
- usr/include/libgeoclue-2.0/gclue-manager.h
- usr/include/libgeoclue-2.0/gclue-simple.h
- usr/include/libgeoclue-2.0/geoclue.h
- usr/lib64/girepository-1.0/Geoclue-2.0.typelib
- usr/lib64/libgeoclue-2.so
- usr/lib64/libgeoclue-2.so.0
- usr/lib64/libgeoclue-2.so.0.0.0
- usr/lib64/pkgconfig/geoclue-2.0.pc
- usr/lib64/pkgconfig/libgeoclue-2.0.pc
- usr/libexec/geoclue
- usr/libexec/geoclue-2.0/demos/agent
- usr/libexec/geoclue-2.0/demos/where-am-i
- usr/share/applications/geoclue-demo-agent.desktop
- usr/share/applications/geoclue-where-am-i.desktop
- usr/share/dbus-1/interfaces/org.freedesktop.GeoClue2.Agent.xml
- usr/share/dbus-1/interfaces/org.freedesktop.GeoClue2.Client.xml
- usr/share/dbus-1/interfaces/org.freedesktop.GeoClue2.Location.xml
- usr/share/dbus-1/interfaces/org.freedesktop.GeoClue2.Manager.xml
- usr/share/dbus-1/interfaces/org.freedesktop.GeoClue2.xml
- usr/share/dbus-1/system-services/org.freedesktop.GeoClue2.service
- usr/share/doc/geoclue-2.4.13/NEWS.bz2
- usr/share/doc/geoclue-2.4.13/README.bz2
- usr/share/gir-1.0/Geoclue-2.0.gir
- var/db/pkg/app-misc/geoclue-2.4.13/BUILD_TIME
- var/db/pkg/app-misc/geoclue-2.4.13/CATEGORY
- var/db/pkg/app-misc/geoclue-2.4.13/CBUILD
- var/db/pkg/app-misc/geoclue-2.4.13/CFLAGS
- var/db/pkg/app-misc/geoclue-2.4.13/CHOST
- var/db/pkg/app-misc/geoclue-2.4.13/CONTENTS
- var/db/pkg/app-misc/geoclue-2.4.13/COUNTER
- var/db/pkg/app-misc/geoclue-2.4.13/CXXFLAGS
- var/db/pkg/app-misc/geoclue-2.4.13/DEFINED_PHASES
- var/db/pkg/app-misc/geoclue-2.4.13/DEPEND
- var/db/pkg/app-misc/geoclue-2.4.13/DESCRIPTION
- var/db/pkg/app-misc/geoclue-2.4.13/EAPI
- var/db/pkg/app-misc/geoclue-2.4.13/FEATURES
- var/db/pkg/app-misc/geoclue-2.4.13/HOMEPAGE
- var/db/pkg/app-misc/geoclue-2.4.13/INHERITED
- var/db/pkg/app-misc/geoclue-2.4.13/IUSE
- var/db/pkg/app-misc/geoclue-2.4.13/IUSE_EFFECTIVE
- var/db/pkg/app-misc/geoclue-2.4.13/KEYWORDS
- var/db/pkg/app-misc/geoclue-2.4.13/LDFLAGS
- var/db/pkg/app-misc/geoclue-2.4.13/LICENSE
- var/db/pkg/app-misc/geoclue-2.4.13/NEEDED
- var/db/pkg/app-misc/geoclue-2.4.13/PF
- var/db/pkg/app-misc/geoclue-2.4.13/PROVIDES
- var/db/pkg/app-misc/geoclue-2.4.13/RDEPEND
- var/db/pkg/app-misc/geoclue-2.4.13/REQUIRES
- var/db/pkg/app-misc/geoclue-2.4.13/SIZE
- var/db/pkg/app-misc/geoclue-2.4.13/SLOT
- var/db/pkg/app-misc/geoclue-2.4.13/USE
- var/db/pkg/app-misc/geoclue-2.4.13/environment.bz2
- var/db/pkg/app-misc/geoclue-2.4.13/geoclue-2.4.13.ebuild
- var/db/pkg/app-misc/geoclue-2.4.13/repository
package_cacheimage: ""
runtime:
  name: geoclue
  version: 2.4.13
  category: app-misc-2.0
  use_flags:
  - introspection
  - modemmanager
  - zeroconf
  requires:
  - name: json-glib
    version: '>=0'
    category: dev-libs
  - name: avahi
    version: '>=0'
    category: net-dns
  - name: libsoup
    version: '>=0'
    category: net-libs-2.4
  - name: modemmanager
    version: '>=0'
    category: net-misc
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A geoinformation D-Bus service
  uri:
  - https://freedesktop.org/wiki/Software/GeoClue
  license: LGPL-2
  labels:
    DEPEND: '>=dev-libs/glib-2.62.2:2 >=dev-libs/json-glib-0.14 >=net-libs/libsoup-2.42:2.4
      sys-apps/dbus introspection? ( >=dev-libs/gobject-introspection-1.62.0:= ) modemmanager?
      ( >=net-misc/modemmanager-1 ) zeroconf? ( >=net-dns/avahi-0.6.10[dbus] ) !<sci-geosciences/geocode-glib-3.10.0
      dev-util/gdbus-codegen >=dev-util/gtk-doc-am-1 >=dev-util/intltool-0.40 >=x11-libs/libnotify-0.7
      sys-devel/gettext virtual/pkgconfig >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3
      || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
      >=sys-devel/libtool-2.4 app-arch/xz-utils dev-util/desktop-file-utils x11-misc/shared-mime-info
      virtual/pkgconfig sys-apps/shadow'
    IUSE: +introspection +modemmanager zeroconf
    RDEPEND: '>=dev-libs/glib-2.62.2:2 >=dev-libs/json-glib-0.14 >=net-libs/libsoup-2.42:2.4
      sys-apps/dbus introspection? ( >=dev-libs/gobject-introspection-1.62.0:= ) modemmanager?
      ( >=net-misc/modemmanager-1 ) zeroconf? ( >=net-dns/avahi-0.6.10[dbus] ) !<sci-geosciences/geocode-glib-3.10.0'
    emerge.packages: app-misc/geoclue:2.0
    kit: gnome-kit
    original.package.name: app-misc/geoclue
    original.package.slot: "2.0"
    original.package.version: 2.4.13
